Bug 1717627 - OLM installed operators are not getting new version numbers in the release pipeline
Summary: OLM installed operators are not getting new version numbers in the release pi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.z
Assignee: Luke Meyer
QA Contact: Jian Zhang
URL:
Whiteboard: 4.1.2 4.1.3
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-05 20:15 UTC by Jessica Forrester
Modified: 2019-06-26 08:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1717623
: 1719791 (view as bug list)
Environment:
Last Closed: 2019-06-26 08:50:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1589 None None None 2019-06-26 08:50:29 UTC

Description Jessica Forrester 2019-06-05 20:15:41 UTC
+++ This bug was initially created as a clone of Bug #1717623 +++

The ClusterServiceVersions for:
Template Service Broker Operator
Ansible Service Broker Operator
Cluster Logging Operator
ElasticSearch Operator

are not being automatically updated in the ART release pipeline with new version numbers, this means we would not be able to upgrade existing installed operators that went out with 4.1.0

Because the automation is not there we are manually updating the 4 operators to have a 4.1.1 version number.

See:
https://github.com/openshift/elasticsearch-operator/pull/151
https://github.com/openshift/template-service-broker-operator/pull/44
https://github.com/openshift/ansible-service-broker/pull/1226
https://github.com/openshift/cluster-logging-operator/pull/196

When these are merged we should be able to update from a 4.1.0 installed operator to the 4.1.1 version of the operator.

Note: this is a one-off fix for 4.1.1, we may have to do the same for 4.1.2 but we will be automating this as soon as possible.
++++++++++++++++++++

This is the cloned bug to cover making the same fixes for 4.1.2 if necessary, or if the automation is done to make any changes to support the automation.

Comment 1 Sudha Ponnaganti 2019-06-11 13:11:35 UTC
One off fix need to be checked for 4.1.2 as well.

Comment 2 Luke Meyer 2019-06-13 20:45:37 UTC
This isn't particularly customer-facing so I don't see a need to add this to the advisory (I should probably also remove the one it's cloned from).

But I'll leave it ON_QA in case QE wants to do any further validation for 4.1.2.

Comment 3 Jian Zhang 2019-06-14 04:33:41 UTC
For this bug, LGTM, verify it. But, I'm really looking forward to the automation instead of manually updating again and again.

elasticsearch-operator works well, they can be updated to 4.1.2. As below:
mac:~ jianzhang$ oc get csv -n openshift-operators-redhat
NAME                             DISPLAY                   VERSION   REPLACES             PHASE
anchore-engine-operator.v0.0.1   Anchore Engine Operator   0.0.1                          Succeeded
descheduler.v0.0.4               Descheduler               0.0.4     descheduler.v0.0.3   Succeeded
elasticsearch-operator.v4.1.2    Elasticsearch Operator    4.1.2                          Succeeded

mac:~ jianzhang$ oc get pods -n openshift-operators-redhat  elasticsearch-operator-6f9688b6d7-9265q -o yaml|grep image:
    image: image-registry.openshift-image-registry.svc:5000/openshift/ose-elasticsearch-operator:v4.1.2-201906121519
    image: image-registry.openshift-image-registry.svc:5000/openshift/ose-elasticsearch-operator:v4.1.2-201906121519

Template-service-operator works well, as below:
mac:~ jianzhang$ oc get csv -n openshift-template-service-broker 
NAME                                            DISPLAY                                      VERSION   REPLACES             PHASE
anchore-engine-operator.v0.0.1                  Anchore Engine Operator                      0.0.1                          Succeeded
descheduler.v0.0.4                              Descheduler                                  0.0.4     descheduler.v0.0.3   Succeeded
elasticsearch-operator.v4.1.2                   Elasticsearch Operator                       4.1.2                          Succeeded
openshifttemplateservicebrokeroperator.v4.1.2   OpenShift Template Service Broker Operator   4.1.2                          Succeeded
mac:~ jianzhang$ oc get pods -n openshift-template-service-broker   openshift-template-service-broker-operator-68cf485847-cz9pd -o yaml |grep image:
    image: image-registry.openshift-image-registry.svc:5000/openshift/ose-template-service-broker-operator:v4.1.2-201906121519
    image: image-registry.openshift-image-registry.svc:5000/openshift/ose-template-service-broker-operator:v4.1.2-201906121519

Cluster logging operator works well, as below:
mac:~ jianzhang$ oc get csv -n openshift-logging 
NAME                             DISPLAY                   VERSION   REPLACES             PHASE
anchore-engine-operator.v0.0.1   Anchore Engine Operator   0.0.1                          Succeeded
clusterlogging.v4.1.2            Cluster Logging           4.1.2                          Installing
descheduler.v0.0.4               Descheduler               0.0.4     descheduler.v0.0.3   Succeeded
elasticsearch-operator.v4.1.2    Elasticsearch Operator    4.1.2                          Succeeded

mac:~ jianzhang$ oc get pods -n openshift-logging  cluster-logging-operator-c8f99f8d4-2b95q  -o yaml|grep image:
    image: image-registry.openshift-image-registry.svc:5000/openshift/ose-cluster-logging-operator:v4.1.2-201906121519
  - image: image-registry.openshift-image-registry.svc:5000/openshift/ose-cluster-logging-operator:v4.1.2-201906121519

Ansible service broker operator works well, as below:
               io.openshift.build.commit.id=3f2924d05bb50b6abecc0df9a54143262cc3aa69
               io.openshift.build.commit.url=https://github.com/openshift/ansible-service-broker/commit/3f2924d05bb50b6abecc0df9a54143262cc3aa69
               io.openshift.build.source-location=https://github.com/openshift/ansible-service-broker

mac:~ jianzhang$ oc get csv -n openshift-ansible-service-broker 
NAME                                   DISPLAY                                     VERSION   REPLACES             PHASE
anchore-engine-operator.v0.0.1         Anchore Engine Operator                     0.0.1                          Succeeded
descheduler.v0.0.3                     Descheduler                                 0.0.3                          Succeeded
descheduler.v0.0.4                     Descheduler                                 0.0.4     descheduler.v0.0.3   Succeeded
elasticsearch-operator.v4.1.2          Elasticsearch Operator                      4.1.2                          Succeeded
mongodboperator.v0.3.2                 MongoDB                                     0.3.2                          
openshiftansibleservicebroker.v4.1.2   OpenShift Ansible Service Broker Operator   4.1.2                          Succeeded

mac:~ jianzhang$ oc get pods -n openshift-ansible-service-broker openshift-ansible-service-broker-operator-d844c5c5f-rtptr -o yaml|grep image:
    image: image-registry.openshift-image-registry.svc:5000/openshift/ose-ansible-service-broker-operator:v4.1.2-201906121519
    image: image-registry.openshift-image-registry.svc:5000/openshift/ose-ansible-service-broker-operator:v4.1.2-201906121519

Comment 6 errata-xmlrpc 2019-06-26 08:50:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1589


Note You need to log in before you can comment on or make changes to this bug.